Create Connection
POST
/api/v1/connectors/unified/connections
const url = 'https://api.ultimateteam.ai/api/v1/connectors/unified/connections';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"connection_id":"example","state":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/connectors/unified/connections \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "connection_id": "example", "state": "example" }'Post-auth callback: fetch + verify the Unified connection, upsert, emit.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ConnectionCreate
object
connection_id
required
Connection Id
string
state
required
State
string
Examplegenerated
{ "connection_id": "example", "state": "example"}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Create Connection Api V1 Connectors Unified Connections Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}